# edudrive@RNP branding
```
git clone git@gitlab.com:anolisti/owncloud-client.git
cd owncloud-client
git submodule update --init --recursive
```

## Linux
```
mkdir build-linux/
cd build-linux
cmake -D INOTIFY_INCLUDE_DIR=/usr/include/inotifytools \
  -D INOTIFY_LIBRARY=/usr/lib64/libinotifytools.so \
  -D OEM_THEME_DIR=$(realpath ../edudrivetheme) \
  ../client
make
```

## Windows
```
cd client/admin/win/docker
docker build -t owncloud-client-win32:<version>

cd -
docker run --sysctl net.ipv6.conf.all.disable_ipv6=1 \
   --rm -v "$PWD/:/home/user/" owncloud-client-win32:<version> \
   /home/user/edudrivetheme/win/build.sh client/ $(id -u)
```

### Icons and images
PC bitmap, Windows 3.x format
```
convert <FILE>.png bmp3:<FILE>.bmp
```

### Signing exe
Instalar e executar o daemon `pcsdc` , `opensc`
Instalar a `libp11` e extratir o `libeToken.so` do pacote _.deb_ do
Ubuntu, que serão utilizadas como `pkcs11engine` e `pkcs11module` respectivamente.

[Driver SafeNet 5100/5110 para Ubuntu 32 e 64 bits](http://site.solutinet.com.br/2014/images/files/instaladores-e-manuais/sac_9.0.43_Debian_Ubuntu_Linux.zip)

```
osslsigncode sign \
  -pkcs11engine /usr/lib64/engines-1.1/libpkcs11.so \
  -pkcs11module /usr/local/lib/libeToken.so.10 \
  -certs token.pem \
  -key 5ca11268eda1976e \
  -pass <TOKEN_PID> \
  -h sha256 \
  -n edudrive@RNP \
  -i https://edudrive.rnp.br \
  -in client/build-win32/edudrive@RNP-<VERSION>-setup.exe \
  -out edudrive@RNP-<VERSION>-signed.exe
```

## MacOS
**Using CRAFT KDE**
```
#CRAFT PROCESS:
* Install Craft
https://community.kde.org/Guidelines_and_HOWTOs/Build_from_source/Mac#Install_Craft

* Build

1. craft --add-blueprint-repository https://github.com/owncloud/craft-blueprints-owncloud.git
2. craft --set version=TAG owncloud-client
3. export OWNCLOUD_CMAKE_PARAMETERS=$OWNCLOUD_CMAKE_PARAMETERS-DOEM_THEME_DIR=/Users/thomas/Documents/anolis/apps/owncloud-client/edudrivetheme
3. craft --buildtype=Release owncloud-client 
4. craft --package --buildtype=Release owncloud-client

* Sign

1. Create certrequest
2. Create Application CERT
3. Upload the cert request (step 1) and install cer on local keychain 
4. codesign --sign "CER COMMON NAME" edudrive-release.dmg
```
**Using owncloud build**
```
mkdir mac-build
cd mac-build

export PATH="/usr/local/opt/qt/bin:$PATH"
cmake \
  -D CMAKE_INSTALL_PREFIX=$PWD/install \
  -D CMAKE_PREFIX_PATH=/usr/local/opt/qt5/lib/cmake/ \
  -D CMAKE_MACOSX_RPATH=1 \
  -D SPARKLE_LIBRARY=/usr/local/Caskroom/sparkle/1.19.0/Sparkle.framework \
  -D OEM_THEME_DIR=$PWD/../edudrivetheme \
  -D BUILD_OWNCLOUD_OSX_BUNDLE=ON \
  ../client

make

# Generate sparkle keys

1. First, run ./bin/generate_keys tool (from the Sparkle distribution root)
2. Copy that key (it’s a base64-encoded string). You can run ./bin/generate_keys again to see your public key at any time.
3. cd mac-buld/bin/edudrive.app/Contents
4. vim Info.plist 
5. add <SUPublicEDKey> property and the public key (as <key>)string generated in previous step.


# Create and signing pkg osx

1. open keychain Access app on mac ox
2. create a new cert request (Keychain Access > Certificate Assistant > Request a Certificate From a Certificate Authority)
3. Enter the email address that you use in your Apple developer account, and enter a common name. The common name can be anything you want, for example a helpful descriptive name like "Anolis TI". Check Saved to disk and Let me specify key pair information, then click Continue.
4. Save in local disk and in the next window set keypair information and Done.
5. In keychain app double click on the key and set "Allow all application to access this item"
6. In itunesconnect web plataform, create a new Mac Installer Certificate (note that its mandatory to be MAC INSTALLER CERT). Upload you cert request and download and install the the generated cert. Then, go to #Create Packate session, right bellow.


## Create signed package
./admin/osx/create_mac.sh bin/ $PWD "THE COMMON NAME OF THE INSTALLED CERTIFICATE"
ls install/
```

## OpenBuildService
Creating build package
```
./genpackage.sh

ls edudrive-client-<version>.tar.gz
```


