#!/bin/bash

if [ $# -lt 1 ]; then
  echo "Usage: $(basename $0) directory_relative_to_home [uid]"
  exit
fi

useradd user -u ${2:-1000}
su - user << EOF
  cd /home/user/$1
  rm -rf build-win32
  mkdir build-win32
  cd build-win32
  ../admin/win/download_runtimes.sh
  cmake \
    -D OEM_THEME_DIR=/home/user/edudrivetheme \
    -D CMAKE_TOOLCHAIN_FILE=../admin/win/Toolchain-mingw32-openSUSE.cmake \
    -D NO_SHIBBOLETH=1 \
    -D WITH_CRASHREPORTER=ON \
    ../
  make -j$(nproc)
  make package
EOF
