#!/bin/bash

PKG_PREFIX=edudrive-client-$(git describe --tags)
PKG_SUFFIX=tar
PKG_OUTPUT=${PKG_PREFIX}.${PKG_SUFFIX}

git submodule update --init --checkout --recursive

SUBMODULES=($(git submodule status --recursive | awk '{print $2}'))

git submodule foreach --recursive  \
  "git archive \
    --format=${PKG_SUFFIX} \
    --prefix=${PKG_PREFIX}\${displaypath#client}/ \
    --output=${PKG_OUTPUT} \
    HEAD"

git archive \
  --format=${PKG_SUFFIX} \
  --prefix=${PKG_PREFIX}/ \
  --output=${PKG_OUTPUT} \
  HEAD

# Concat each submodule to main package
for submodule in ${SUBMODULES[@]}
do
  tar --concatenate \
    --file=${PKG_OUTPUT} \
    ${submodule}/${PKG_OUTPUT}
done

gzip ${PKG_OUTPUT}

